{"openapi":"3.0.0","info":{"description":"This is an API of 22skills","version":"1.0.12","title":"22Skills API","contact":{"email":"sergey.linnik@astaprime.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"candidate","description":"Secured candidate-only calls"},{"name":"hr","description":"Operations available to hr's"},{"name":"moderator","description":"Operations available to moderator"}],"paths":{"/resume":{"get":{"tags":["hr","candidate"],"summary":"list resume","operationId":"listResume","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["candidate"],"summary":"add a resume to a user","operationId":"createResume","description":"Add a resume to a user","responses":{"201":{"description":"resume saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeForPost"}}},"description":"Map with parameters for new resume"}}},"/resume/short":{"get":{"tags":["candidate"],"summary":"short resume","operationId":"shortResumeOfCandidate","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeForCandidate"}}}},"400":{"description":"must be if there is no any resume for current user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error3"}}}}}}},"/resume/full":{"get":{"tags":["candidate"],"summary":"full resume of current user","operationId":"fullResumeOfCurrent","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFullForCandidate"}}}},"400":{"description":"must be if there is no any resume for current user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error3"}}}}}}},"/resume/moderator":{"get":{"tags":["moderator"],"summary":"list resume","operationId":"listResumeModerator","description":"Each block with array must contain blockId and can contain isNew property.\nblockId must be initialized on FE.\nisNew won't exist if the block was deleted from new version of a resume.\nIf it's true, then block is new, false - block was exists in a prev.version of the resume.\n","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}},{"in":"query","name":"approved","description":"to return only approved, declined or not approved resumes.\n","required":false,"schema":{"type":"boolean","default":null}},{"in":"query","name":"moderatorActionAt","description":"To use pagination right.\n","required":true,"schema":{"type":"string"}},{"in":"query","name":"userId","description":"Id of a user.\n","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeForModeratorContent"}}}},"400":{"description":"bad input parameter"}}}},"/resume/moderator/{id}":{"get":{"tags":["moderator"],"summary":"resume by id for moderator","operationId":"resumeModeratorById","description":"Each block with array must contain blockId and can contain isNew property.\nblockId must be initialized on FE.\nisNew won't exist if the block was deleted from new version of a resume.\nIf it's true, then block is new, false - block was exists in a prev.version of the resume.\n","parameters":[{"in":"path","name":"id","description":"resume id","required":true,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeForModerator"}}}},"400":{"description":"bad input parameter"}}}},"/resume/{id}":{"get":{"tags":["hr","moderator"],"summary":"get resume","operationId":"getResume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"query","name":"ignoreStat","description":"tells API when to write stats.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}}},"put":{"tags":["moderator"],"summary":"approve or decline resume","operationId":"approveOrDeclineResume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"query","name":"approved","required":true,"schema":{"type":"boolean"}},{"in":"query","name":"declineComment","required":false,"description":"must exist if no declineReasons or can exist if declineReasons or no.","schema":{"type":"string"}},{"in":"query","name":"declineReasons","required":false,"description":"must exist if no declineComment or can exist if declineComment or no.","schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}}}},"/resume/latest/{nickname}":{"get":{"tags":["any"],"summary":"get resume by nickname","operationId":"getResumeByNickname","description":"This request collects to resume preview statistics","parameters":[{"in":"path","name":"nickname","description":"nickname of a user","required":true,"schema":{"type":"string","pattern":"\\w\\w\\w-\\d\\d\\w"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}}}},"/resume/{id}/bookmarks":{"get":{"tags":["hr"],"summary":"get bookmarks by resume for current user","operationId":"getBookmarksByResume","description":"get bookmarks by resume\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeBookmarksByResume"}}}},"400":{"description":"bad input parameter"}}}},"/resume/{id}/addToBookmark/{bookmarkId}":{"put":{"tags":["hr"],"summary":"Add the candidate to bookmark","operationId":"addCanidateToBookmark","description":"Add the candidate to bookmark\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"path","name":"bookmarkId","description":"id of a bookmark","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"id of a account","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/removeFromBookmark/{bookmarkId}":{"put":{"tags":["hr"],"summary":"Remove the candidate from bookmark","operationId":"removeCanidatefromBookmark","description":"Remove the candidate from bookmark\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"path","name":"bookmarkId","description":"id of a bookmark","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"id of a account","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"result"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/addToBookmark":{"put":{"tags":["hr"],"summary":"Add the candidate to default bookmark","operationId":"addCanidateToDefaultBookmark","description":"Add the candidate to bookmark\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"id of a account","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/removeFromBookmark":{"put":{"tags":["hr"],"summary":"Remove the candidate from default bookmark","operationId":"removeCanidatefromDefaultBookmark","description":"Remove the candidate from default bookmark\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"id of a account","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/price":{"get":{"tags":["any"],"summary":"Get recommend resume price","operationId":"resumePrice","description":"Get recommend resume price\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"example":"{\n  \"recommendPrice\":50.0,\n  \"categories\":[\n    {\n      \"name\":\"category\",\n      \"price\":5.0,\n      \"id\":1\n    }\n  ]\n}\n"}}}},"400":{"description":"bad input parameter"}}}},"/resume/search":{"get":{"tags":["any"],"summary":"get resume by tags","operationId":"getResumeByTags","description":"","parameters":[{"in":"query","name":"tags","description":"list with tags' names","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"locations","description":"list with placeIds from Google places API","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFromSearchContent"}}}},"400":{"description":"bad input parameter"}}}},"/resume/search/suggestions":{"get":{"tags":["any"],"summary":"random resumes for search page","operationId":"randomResumeSuggestions","description":"random resumes for search page","parameters":[{"in":"query","name":"size","description":"size of the result","required":false,"schema":{"type":"integer","minimum":1,"default":4}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFromSearchContent"}}}},"400":{"description":"bad input parameter"}}}},"/resume/skills":{"post":{"tags":["candidate"],"summary":"add a skill to candidate's resume","operationId":"addSkill","description":"Add a skill to the resume","responses":{"201":{"description":"skill saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error7"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SkillForPost"}}},"description":"Map with parameters for new skill"}},"put":{"tags":["candidate"],"summary":"update rating of the skill","operationId":"updateSkill","description":"update skill\n","parameters":[{"in":"query","name":"name","description":"name of the skill","required":true,"schema":{"type":"string"}},{"in":"query","name":"rating","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}}},"400":{"description":"bad input parameter"}}},"delete":{"tags":["candidate"],"summary":"remove the skill from candidate's resume","operationId":"removeSkill","description":"remove the skill from candidate's resume\n","parameters":[{"in":"query","name":"name","description":"name of the skill","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"removed"},"400":{"description":"bad input parameter"}}}},"/resume/skills/bundle":{"post":{"tags":["candidate"],"summary":"add skills to candidate's resume","operationId":"addSkillsBundle","description":"Add skills to the resume","responses":{"200":{"description":"skills saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SkillPostBundle"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error7"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SkillForPost"}}}},"description":"List of Maps with parameters for new skill"}}},"/resume/state":{"get":{"tags":["candidate"],"responses":{"200":{"description":"result","content":{"*/*":{"schema":{"example":{"state":"DISABLED | SEARCHABLE | SHARABLE | NOT_FOUND"}}}}}}},"put":{"tags":["candidate"],"summary":"change resume state","operationId":"changeResumeState","description":"change resume state\n","parameters":[{"in":"query","name":"state","description":"state of a resume","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorState"}}}}}}},"/resume/locations":{"post":{"tags":["candidate"],"summary":"add locations to candidate's resume","operationId":"addLocation","description":"Add a location to the resume. if the resume contains only skills and location then the resume will be autoapproved.","responses":{"201":{"description":"locations saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationsBundle"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationListForPost"}}},"description":"Map with parameters for new location"}}},"/resume/languages":{"post":{"tags":["candidate"],"summary":"add languages to candidate's resume","operationId":"addLanguages","description":"Add the language to the resume","responses":{"201":{"description":"language saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Language"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LanguageForPost"}}},"description":"Map with parameters for a language"}},"put":{"tags":["candidate"],"summary":"update level of the lang","operationId":"updateLang","description":"update la guage\n","parameters":[{"in":"query","name":"code","description":"code of the lang","required":true,"schema":{"type":"string"}},{"in":"query","name":"level","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Language"}}}},"400":{"description":"bad input parameter"}}},"delete":{"tags":["candidate"],"summary":"remove the language from candidate's resume","operationId":"removeLang","description":"remove the laguage from candidate's resume\n","parameters":[{"in":"query","name":"code","description":"name of the lang","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"removed"},"400":{"description":"bad input parameter"}}}},"/resume/languages/bundle":{"post":{"tags":["candidate"],"summary":"add languages by bundle to candidate's resume","operationId":"addBundleLanguages","description":"Add bundle of languages to the resume","responses":{"200":{"description":"languages saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LanguagesBundle"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LanguageForPost"}}}},"description":"Map with parameters for a language"}}},"/resume/objectives":{"post":{"tags":["candidate"],"summary":"add objectives to candidate's resume","operationId":"addObjectives","description":"Add objectives to the resume. Replaces prev objectives","responses":{"201":{"description":"objectives saved","content":{"application/json":{"schema":{"type":"object","example":{"objectives":"some objectives from resume"}}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","maximum":500,"example":{"objectives":"some objectives from resume"}}}},"description":"Map with parameters for new objectives. Must not be more than 500 symbols."}}},"/resume/employmentTypes":{"post":{"tags":["candidate"],"summary":"add emp.types to candidate's resume","operationId":"addEmploymentTypes","description":"Add emp.types to the resume.","responses":{"201":{"description":"emp.types saved","content":{"application/json":{"schema":{"example":"{\n  \"comment\": {\n    \"content\": \"comment\",\n    \"onModeration\":true\n  },\n  \"employmentTypes\": [\"Full-time\", \"Temporary\"]\n}\n"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"example":{"comment":"comment","employmentTypes":["Full-time","Temporary"]}}}},"description":"list of emp.types"}}},"/resume/files":{"post":{"tags":["candidate"],"summary":"post files to the resume","operationId":"postFilesToResume","description":"post files to the resume","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFiles"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"$ref":"#/components/requestBodies/postFilesToResume"}},"delete":{"tags":["candidate"],"summary":"delete files from the resume","operationId":"deleteFilesFromResume","description":"delete files from the resume","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}},{"in":"query","name":"files","description":"files names","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/files":{"get":{"tags":["candidate"],"summary":"list files of the resume","operationId":"listFilesOfResume","description":"list files of the resume","parameters":[{"in":"path","name":"id","required":true,"description":"resume id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFiles"}}}},"400":{"description":"bad input parameter"}}}},"/resume/files/single":{"post":{"tags":["candidate"],"summary":"post file with custom name to the resume","operationId":"postFileWithNameToResume","description":"post file with name to the resume","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFiles"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"files":{"description":"formData with list of files","type":"string","format":"binary"},"name":{"type":"string"}},"required":["files"]}}}}}},"/resume/{id}/files/{fileName}":{"get":{"tags":["candidate"],"summary":"download file of the resume","operationId":"downloadFileOfResume","description":"download file of the resume","parameters":[{"in":"path","name":"id","required":true,"description":"resume id","schema":{"type":"number"}},{"in":"path","name":"fileName","required":true,"description":"fileName","schema":{"type":"string"}}],"responses":{"200":{"description":"file"},"400":{"description":"bad input parameter"}}}},"/resume/files/share":{"post":{"tags":["candidate"],"summary":"share files","operationId":"shareFilesOfResume","description":"share files of the resume","parameters":[{"in":"header","name":"accountId","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ShareResumeFile"}}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"files":{"type":"array","items":{"$ref":"#/components/schemas/ShareResumeFile"}},"targetAccountId":{"type":"number","description":"account to share"}}}}},"description":"files can be null","required":true}},"delete":{"tags":["candidate"],"summary":"unshare files","operationId":"unshareFilesOfResume","description":"unshare files of the resume; Body like in POST","parameters":[{"in":"header","name":"accountId","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"response"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/files/shared":{"get":{"tags":["candidate","hr","any"],"summary":"shared files","operationId":"sharedFilesOfResume","description":"shared files of the resume for account from context","parameters":[{"in":"path","name":"id","required":true,"description":"profile id","schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ShareResumeFile"}}}}},"400":{"description":"bad input parameter"}}}},"/resume/files/shared/accounts":{"get":{"tags":["candidate","hr","any"],"summary":"list of accounts who cansee to resume files","operationId":"accountsWithFileAccess","description":"list of accounts who can see to resume files","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}},{"in":"query","name":"fileName","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountFiles"}}}},"400":{"description":"bad input parameter"}}}},"/resume/{id}/links":{"get":{"tags":["candidate"],"summary":"list links of the resume","operationId":"listLinksOfResume","description":"list links of the resume","parameters":[{"in":"path","name":"id","required":true,"description":"resume id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeLinks"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["candidate"],"summary":"add link to the resume","operationId":"addLinkToResume","description":"add link to the resume","parameters":[{"in":"path","name":"id","required":true,"description":"resume id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFiles"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","required":["link"],"properties":{"link":{"type":"string"},"text":{"type":"string"}}}}},"required":true}},"put":{"tags":["candidate"],"summary":"update link text","operationId":"updateLinkTextToResume","description":"update link text","parameters":[{"in":"path","name":"id","required":true,"description":"resume id","schema":{"type":"number"}},{"in":"query","name":"text","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeFiles"}}}},"400":{"description":"bad input parameter"}}},"delete":{"tags":["candidate"],"summary":"delete links from the resume","operationId":"deleteLinksFromResume","description":"delete links from the resume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"number"}},{"in":"query","name":"links","description":"links","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/resume/{id}/approve":{"put":{"tags":["moderator"],"summary":"new approve resume","operationId":"approveResume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}}}},"/resume/{id}/decline":{"put":{"tags":["moderator"],"summary":"decline resume","operationId":"declineResume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeclineInfo"}}}}}},"/resume/{id}/tryToApprove":{"put":{"tags":["candidate"],"summary":"try to approve resume","operationId":"autoApproveResume","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Resume"}}}},"400":{"description":"bad input parameter"}}}},"/users":{"put":{"tags":["candidate","hr"],"summary":"update profile info","operationId":"updateUser","description":"update Auth0 user profile","responses":{"200":{"description":"user updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0User"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0UserForUpdate"}}}}}},"/users/beta":{"post":{"tags":["any"],"summary":"register user for beta testing","operationId":"usersBeta","description":"register user for beta testing","responses":{"201":{"description":"user updated","content":{"application/json":{"schema":{"example":"{\n  \"email\": \"email@mail.com\",\n  \"location\": \"UA\",\n  \"registeredAt\": \"2001-10-31T01:30:00.000-05:00\"\n}\n"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"example":"{\n  \"email\": \"email@mail.com\",\n  \"location\": \"UA\"\n}\n"}}}}}},"/users/current":{"get":{"tags":["hr","moderator","candidate"],"summary":"get current user info","operationId":"getCurrentUserInfo","description":"","responses":{"200":{"description":"auth0 user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0User"}}}},"400":{"description":"bad input parameter"}}}},"/users/info":{"get":{"tags":["hr","moderator","candidate"],"summary":"get current user info","operationId":"getUsersInfo","description":"get user's info\n","parameters":[{"in":"query","name":"idList","schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"auth0 user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0UserList"}}}},"400":{"description":"bad input parameter"}}}},"/users/accounts":{"get":{"tags":["hr","candidate"],"summary":"get current user info","operationId":"getUsersAccounts","description":"get user's accounts","responses":{"200":{"description":"auth0 user","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Account"}}}}},"400":{"description":"bad input parameter"}}}},"/users/logout":{"delete":{"tags":["hr","candidate"],"summary":"logout from all devices","operationId":"logoutFromAllDevices","description":"logout from all devices","responses":{"204":{"description":"ok"}}}},"/users/linking":{"put":{"tags":["candidate","hr","any"],"summary":"link users","operationId":"linkUsers","description":"link auth0 users","responses":{"200":{"description":"user updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0User"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkBody"}}},"description":"if doesn't exists, links by user_metadata.links block"}}},"/users/unlinking":{"put":{"tags":["candidate","hr","any"],"summary":"unlink users","operationId":"unlinkUsers","description":"unlink auth0 users","responses":{"200":{"description":"user updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0User"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/users/confirmEmailUpdate":{"patch":{"tags":["any"],"summary":"confirm email update","operationId":"confirmEmailUpdate","description":"confirm email update","responses":{"200":{"description":"user updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Auth0User"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/tags":{"get":{"tags":["hr","moderator","candidate"],"summary":"list tags","operationId":"listTags","description":"","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}},{"in":"query","name":"name","description":"name (or part of name) of a tag","required":false,"schema":{"type":"string"}},{"in":"query","name":"approved","description":"to return only approved, declined or not approved tags.\nFor moderator default is null.\nFor others - true.\n","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["candidate","hr"],"summary":"add a tag to the system","operationId":"addTag","description":"Add a tag to the system","responses":{"201":{"description":"resume saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"an existing item already exists"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagForPost"}}},"description":"Map with parameters for new tag"}}},"/tags/{id}":{"get":{"tags":["hr","moderator","candidate"],"summary":"get the tag","operationId":"getTag","description":"","parameters":[{"in":"path","name":"id","description":"id of a tag","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}}},"400":{"description":"bad input parameter"}}},"put":{"tags":["moderator"],"summary":"approve or decline tag","operationId":"approveOrDeclineTag","description":"approve or decline a tag\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}},{"in":"query","name":"approved","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"name","required":false,"description":"new name to update tag","schema":{"type":"boolean"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}}},"400":{"description":"bad input parameter"}}}},"/tags/moderator":{"get":{"tags":["moderator"],"summary":"list tags","operationId":"listTagsModerator","description":"","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}},{"in":"query","name":"moderatorActionAt","description":"To use pagination right.\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagContent"}}}},"400":{"description":"bad input parameter"}}}},"/resume/bookmarks":{"get":{"tags":["hr"],"summary":"list resumeBookmarks","operationId":"listResumeBookmarks","description":"","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeBookmarkContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["hr"],"summary":"create resume bookmark by job","operationId":"createResumeBookmark","description":"create new bookmark\n","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"note":{"type":"string"},"jobId":{"type":"number"},"candidateIdList":{"type":"array","items":{"type":"number","description":"id of candidates accounts"}}}}}}},"parameters":[{"in":"header","name":"accountId","description":"current account id","required":true,"schema":{"type":"number"}}],"responses":{"201":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeBookmark"}}}},"400":{"description":"bad input parameter or bookmark with the same name and company exists.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"9\",\n          \"message\": \"ResumeBookmark with these name and company already exists.\",\n          \"property\": \"name\",\n          \"params\": [\"id\":1]\n      }\n  ]\n}\n"}}}}}},"put":{"tags":["hr"],"summary":"update vacany by job","operationId":"updateResumeBookmark","description":"update bookmark\n","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"note":{"type":"string"},"candidateIdList":{"type":"array","items":{"type":"number","description":"id of candidates accounts"}}}}}}},"parameters":[{"in":"header","name":"accountId","description":"current account id","required":true,"schema":{"type":"number"}}],"responses":{"201":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeBookmark"}}}},"400":{"description":"bad input parameter or bookmark with the same name and company exists.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"9\",\n          \"message\": \"ResumeBookmark with these name and company already exists.\",\n          \"property\": \"name\",\n          \"params\": [\"id\":1]\n      }\n  ]\n}\n"}}}}}}},"/resume/bookmarks/{id}":{"get":{"tags":["hr"],"summary":"list resumeBookmark","operationId":"getResumeBookmark","description":"","parameters":[{"in":"path","name":"id","description":"number of page for get","required":true,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResumeBookmark"}}}},"400":{"description":"bad input parameter"}}}},"/statistics/candidate":{"get":{"tags":["candidate"],"summary":"statistics for candidate","operationId":"candidateStatistics","description":"statistics for a candidate\n","responses":{"200":{"description":"candidate statistics for search, preview and most popular tags.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CandidateStatistics"}}}},"400":{"description":"bad input parameter"}}}},"/statistics/business/profiles":{"get":{"tags":["moderator"],"summary":"statistics by business profiles","operationId":"businessProfileStatistics","description":"statistics by business profiles","parameters":[{"in":"query","name":"type","description":"DAY, WEEK, MONTH","required":true,"schema":{"type":"string"}},{"in":"query","name":"date","required":true,"schema":{"type":"string","pattern":"yyyy-MM-dd"}}],"responses":{"200":{"description":"statistics by business profiles","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileStatistics"}}}},"400":{"description":"bad input parameter"}}}},"/statistics/business/profiles/$businessTag":{"get":{"tags":["moderator"],"summary":"statistics by business profile","operationId":"businessProfileTagStatistics","description":"statistics by business profile","parameters":[{"in":"path","name":"businessTag","description":"tag of the searchable profile, like \"@microsoft\"","required":true,"schema":{"type":"string"}},{"in":"query","name":"type","description":"DAY, WEEK, MONTH","required":true,"schema":{"type":"string"}},{"in":"query","name":"total","required":true,"schema":{"type":"boolean"}},{"in":"query","name":"date","required":true,"description":"ignored if total is true","schema":{"type":"string","pattern":"yyyy-MM-dd"}}],"responses":{"200":{"description":"statistics by business profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileTagStatistics"}}}},"400":{"description":"bad input parameter"}}}},"/statistics/business/jobs":{"get":{"tags":["moderator"],"summary":"statistics by jobs","operationId":"businessJobsStatistics","description":"statistics by business jobs","parameters":[{"in":"query","name":"type","description":"DAY, WEEK, MONTH","required":true,"schema":{"type":"string"}},{"in":"query","name":"date","required":true,"schema":{"type":"string","pattern":"yyyy-MM-dd"}}],"responses":{"200":{"description":"statistics by business jobs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileStatistics"}}}},"400":{"description":"bad input parameter"}}}},"/statistics/business/interviews":{"get":{"tags":["moderator"],"summary":"statistics by business interviews","operationId":"businessInterviewStatistics","description":"statistics by business interviews","parameters":[{"in":"query","name":"type","description":"DAY, WEEK, MONTH","required":true,"schema":{"type":"string"}},{"in":"query","name":"date","required":true,"schema":{"type":"string","pattern":"yyyy-MM-dd"}}],"responses":{"200":{"description":"statistics by business interview","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileStatistics"}}}},"400":{"description":"bad input parameter"}}}},"/interview":{"get":{"tags":["hr","candidate"],"summary":"list of interviews","operationId":"listInterview","description":"list of interviews\n","parameters":[{"in":"query","name":"isAccepted","description":"If it's null new and accepted requests will be returned, if it's true - only accepted, if false - only declined.","required":false,"schema":{"type":"boolean","default":null}},{"in":"query","name":"inbox","description":"get requests for 'inbox' or 'candidates' blocks","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"size","description":"page size","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"page","description":"page number","required":false,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewContent"}}}},"400":{"description":"bad input parameter"}}}},"/interview/byProfile/{businessTag}":{"get":{"tags":["hr","candidate"],"summary":"list of interviews by profile","operationId":"listInterviewByProfile","description":"list of interviews by profile","parameters":[{"in":"path","name":"businessTag","required":true,"schema":{"type":"string"}},{"in":"query","name":"size","description":"page size","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"page","description":"page number","required":false,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewPageByProfile"}}}},"400":{"description":"bad input parameter"}}}},"/interview/byJob/{jobId}":{"get":{"tags":["hr","candidate"],"summary":"list of interviews by job","operationId":"listInterviewByJob","description":"list of interviews by Job","parameters":[{"in":"path","name":"jobId","required":true,"schema":{"type":"number"}},{"in":"query","name":"size","description":"page size","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"page","description":"page number","required":false,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewPageByProfile"}}}},"400":{"description":"bad input parameter"}}}},"/interview/new":{"post":{"tags":["hr","candidate"],"summary":"create chat request","operationId":"createInterview","description":"create chat request\n","responses":{"202":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}},"requestBody":{"content":{"application/json":{"schema":{"example":{"recipientId":"auth0|ghdslgkhsdffdf"}}}}}}},"/interview/accept/{id}":{"put":{"tags":["candidate"],"summary":"response the request","operationId":"responseInterview","description":"response the request","parameters":[{"in":"path","name":"id","description":"id of a request","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/decline/{id}":{"put":{"tags":["hr","candidate"],"summary":"set conversation id to chat request","operationId":"bindConversationAndChat","description":"response the request","parameters":[{"in":"path","name":"id","description":"id of a request","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/{id}/chatId":{"get":{"tags":["hr","candidate"],"summary":"check ChatId On Interview","operationId":"checkChatIdOnInterview","description":"check ChatId On Interview","parameters":[{"in":"path","name":"id","description":"id of a interview","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"if chatId in the interview is still null","content":{"application/json":{"schema":{"example":{}}}}},"201":{"description":"if chatId in the interview is already exists","content":{"application/json":{"schema":{"example":"{\n    \"chatId\": \"5b62e52f526c82004c498219\"\n}\n"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/{id}/toolbarInfo":{"get":{"tags":["candidate"],"summary":"info for toolbar of inbox Interview","operationId":"toolbarInfo","description":"info for toolbar of inbox Interview","parameters":[{"in":"path","name":"id","description":"id of a interview","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ToolbarInfo"}}}},"201":{"description":"if chatId in the interview is already exists","content":{"application/json":{"schema":{"example":"{\n    \"chatId\": \"5b62e52f526c82004c498219\"\n}\n"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/chatId":{"get":{"tags":["hr","candidate"],"summary":"check ChatId by the recipient","operationId":"checkChatIdByRecipient","description":"check ChatId By Recipient","parameters":[{"in":"query","name":"recipientId","description":"id of a candidate","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"if chatId in the interview is not yet exists","content":{"application/json":{"schema":{"example":{}}}}},"201":{"description":"if chatId in the interview is already exists","content":{"application/json":{"schema":{"example":"{\n    \"chatId\": \"5b62e52f526c82004c498219\"\n}\n"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"3\",\n          \"message\": \"Object not found\",\n          \"property\": \"recipientId\"\n      }\n  ]\n}\n"}}}}}}},"/interview/archive":{"get":{"tags":["hr","candidate"],"summary":"list of archived interviews","operationId":"listArchivedInterview","description":"list of archived interviews","parameters":[{"in":"query","name":"size","description":"page size","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"page","description":"page number","required":false,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewContent"}}}},"400":{"description":"bad input parameter"}}}},"/interview/{id}/archive":{"put":{"tags":["candidate","hr"],"summary":"archive an interview","operationId":"archiveInterview","description":"archive an interview for current user","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/{id}/unarchive":{"put":{"tags":["candidate","hr"],"summary":"unarchive an interview","operationId":"unarchiveInterview","description":"unarchive an interview for current user","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/{id}/addViewer":{"put":{"tags":["candidate","hr"],"summary":"add viewer to chat","operationId":"addViewerToChat","description":"add viewer to chat","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"query","name":"userId","description":"id of a user","schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/interview/{id}/updateJob":{"put":{"tags":["hr"],"summary":"update interview job","operationId":"updateInterviewJob","description":"update interview job","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"account id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"jobId":{"type":"number","description":"new job id"}}}}}}}},"/interview/{id}/updateStatus":{"put":{"tags":["hr"],"summary":"update interview status","operationId":"updateInterviewStatus","description":"update interview status","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"account id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"status":{"type":"string","description":"new workflow status"}}}}}}}},"/interview/{id}/notes":{"get":{"tags":["hr"],"summary":"list notes","operationId":"listInterviewNote","description":"list interview note","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"account id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InterviewNote"}}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}},"post":{"tags":["hr"],"summary":"add note","operationId":"addInterviewNote","description":"add interview note","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"account id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}},"requestBody":{"content":{"text/plain":{"schema":{"type":"string"}}}}}},"/interview/{id}/notes/{noteId}":{"delete":{"tags":["hr"],"summary":"remove note","operationId":"removeInterviewNote","description":"remove interview note","parameters":[{"in":"path","name":"id","description":"id of an interview","required":true,"schema":{"type":"integer"}},{"in":"path","name":"noteId","description":"id of the note","required":true,"schema":{"type":"integer"}},{"in":"header","name":"accountId","description":"account id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Interview"}}}},"400":{"description":"bad input parameter.","content":{"application/json":{"schema":{"type":"object","example":"{\n  \"timestamp\": \"2017-11-03T12:13:37.705Z\",\n  \"status\": 400,\n  \"errors\": [\n      {\n          \"code\": \"1\",\n          \"message\": \"Required parameter not specified\"\n      }\n  ]\n}\n"}}}}}}},"/feedback":{"get":{"tags":["moderator"],"summary":"list feedbacks","operationId":"listFeedbacks","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["any"],"summary":"collect feedback","operationId":"collectFeedback","description":"collect feedback","responses":{"201":{"description":"feedback saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feedback"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackForPost"}}},"description":"Map with parameters"}}},"/locations":{"post":{"tags":["moderator"],"summary":"add the location to caching table","operationId":"cacheLocation","description":"Add the location to caching table","parameters":[{"in":"query","name":"location","description":"name of a city. For example, Prague","required":true,"schema":{"type":"string"}},{"in":"query","name":"placeId","description":"code of a location","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"location cached","content":{"application/json":{"schema":{"type":"object","example":"{\n    \"place\": {\n        \"code\": \"giuht435wdtgef\",\n        \"id\": 1\n    },\n    \"location\": \"Kiyv\",\n    \"id\": 8\n}\n"}}}}}},"get":{"tags":["moderator"],"summary":"print full table","operationId":"printCachedLocations","description":"print full table","parameters":[{"in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"in":"query","name":"size","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CachePage"}}}},"400":{"description":"bad input parameter"}}}},"/locations/search":{"get":{"tags":["any"],"summary":"get a location by name of the city","operationId":"getCachedLocation","description":"get a location by name of the city","parameters":[{"in":"query","name":"location","description":"name of the city for search in cache","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CachePage"}}}},"400":{"description":"bad input parameter"}}}},"/locations/details":{"get":{"tags":["hr","moderator","candidate"],"summary":"get details of the locations","operationId":"getLocationsDetails","description":"get details of the locations","parameters":[{"in":"query","name":"placeIdList","description":"list of placeId","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"language","description":"language for response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"example":"[\n    {\n        \"placeId\": \"ChIJyWEHuEmuEmsRm9hTkapTCrk\",\n        \"additionalComponents\": [\n            {\n                \"longName\": \"King Street Wharf\",\n                \"shortName\": \"King Street Wharf\",\n                \"types\": [\n                    \"PREMISE\"\n                ]\n            },\n            {\n                \"longName\": \"King Street\",\n                \"shortName\": \"King St\",\n                \"types\": [\n                    \"ROUTE\"\n                ]\n            },\n            {\n                \"longName\": \"Sydney\",\n                \"shortName\": \"Sydney\",\n                \"types\": [\n                    \"LOCALITY\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"Council of the City of Sydney\",\n                \"shortName\": \"Sydney\",\n                \"types\": [\n                    \"ADMINISTRATIVE_AREA_LEVEL_2\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"New South Wales\",\n                \"shortName\": \"NSW\",\n                \"types\": [\n                    \"ADMINISTRATIVE_AREA_LEVEL_1\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"Australia\",\n                \"shortName\": \"AU\",\n                \"types\": [\n                    \"COUNTRY\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"2000\",\n                \"shortName\": \"2000\",\n                \"types\": [\n                    \"POSTAL_CODE\"\n                ]\n            }\n        ]\n    },\n    {\n        \"placeId\": \"ChIJqwS6fjiuEmsRJAMiOY9MSms\",\n        \"additionalComponents\": [\n            {\n                \"longName\": \"Darling Harbour\",\n                \"shortName\": \"Darling Harbour\",\n                \"types\": [\n                    \"PREMISE\"\n                ]\n            },\n            {\n                \"longName\": \"Lime Street\",\n                \"shortName\": \"Lime St\",\n                \"types\": [\n                    \"ROUTE\"\n                ]\n            },\n            {\n                \"longName\": \"Sydney\",\n                \"shortName\": \"Sydney\",\n                \"types\": [\n                    \"LOCALITY\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"New South Wales\",\n                \"shortName\": \"NSW\",\n                \"types\": [\n                    \"ADMINISTRATIVE_AREA_LEVEL_1\",\n                    \"POLITICAL\"\n                ]\n            },\n            {\n                \"longName\": \"Australia\",\n                \"shortName\": \"AU\",\n                \"types\": [\n                    \"COUNTRY\",\n                    \"POLITICAL\"\n                ]\n            }\n        ]\n    }\n]\n"}}}},"400":{"description":"bad input parameter"}}}},"/tagCategories":{"get":{"tags":["moderator"],"summary":"list tag categories","operationId":"listTagCategories","description":"","parameters":[{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategoryContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["moderator"],"summary":"add a category","operationId":"addTagCategory","description":"Add a category","responses":{"201":{"description":"resume saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategory"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"an existing item already exists"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategoryForPost"}}},"description":"Map with parameters for new tag"}}},"/tagCategories/{id}":{"get":{"tags":["moderator"],"summary":"get the tag category","operationId":"getTagCategory","description":"get the tag category\n","parameters":[{"in":"path","name":"id","description":"id of a tagCategory","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategory"}}}},"400":{"description":"bad input parameter"}}},"put":{"tags":["moderator"],"summary":"update the category","operationId":"updateTagCategory","description":"update the category. Change name, prace or tags\n","parameters":[{"in":"path","name":"id","description":"id of a resume","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategory"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategoryForPost"}}},"description":"Map with parameters for update tag category"}}},"/profiles":{"get":{"tags":["candidate","hr"],"summary":"list of user's profiles","operationId":"listUsersProfiles","description":"List user's profiles\n","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfile"}}}}}}},"post":{"tags":["candidate","hr"],"summary":"create a user's profile","operationId":"createUserProfile","description":"create a user's profile","responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileForPost"}}},"description":"Map with parameters"}},"put":{"tags":["hr","candidate"],"summary":"update the profile","operationId":"updateProfile","description":"update the profile","parameters":[{"in":"path","name":"id","description":"id of a profile","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"url of a directory with images on S3.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfileForPost"}}}}}},"/profiles/withJob":{"post":{"tags":["hr"],"summary":"create a profile with job","operationId":"createProfileWithJob","description":"create a profile with job","responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}}}},"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/JobForPost"}],"type":"object","properties":{"businessTag":{"type":"string","description":"profile's nickname","example":"profile's nickname"},"title":{"type":"string","description":"profile's title","example":"profile's title"}}}}},"description":"Map with parameters"}}},"/profiles/{businessTag}":{"get":{"tags":["any"],"summary":"get a business profile by businessTag","operationId":"getProfileByTag","description":"get a business profile by businessTag","parameters":[{"in":"path","name":"businessTag","description":"businessTag of a profile","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessProfile"}}}},"400":{"description":"bad input parameter"}}}},"/profiles/news":{"get":{"tags":["any"],"summary":"get n-random new profiles","operationId":"getNewsProfiles","description":"get n-random new profiles","parameters":[{"in":"query","name":"size","description":"result size. default is 4","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessProfileShort"}}}}},"400":{"description":"bad input parameter"}}}},"/profiles/businessTags":{"get":{"tags":["hr"],"summary":"get user's businessTags","operationId":"getUsersBusinessTags","description":"get user's businessTags","responses":{"200":{"description":"result","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","example":"businessTag1"}}}}},"400":{"description":"bad input parameter"}}}},"/profiles/validateTag/{businessTag}":{"get":{"tags":["hr","candidate"],"summary":"validate a businessTag","operationId":"validateBusinessTag","description":"validate a businessTag","parameters":[{"in":"path","name":"businessTag","description":"businessTag of a profile","required":true,"schema":{"type":"string"}},{"in":"query","name":"new","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"result"},"400":{"description":"bad input parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError23"}}}}}}},"/profiles/{id}/logo":{"post":{"tags":["hr","candidate"],"summary":"post a logo to the profile","operationId":"postLogoToProfile","description":"post a logo to the profile","parameters":[{"in":"path","name":"id","description":"id of a profile","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"url of a directory with images on S3.\n","content":{"application/json":{"schema":{"example":"{\n  \"path\":\"//.com/bucket/dir/dir2\"\n}\n"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"logo":{"description":"formData with logo file","type":"string","format":"binary"}}}}}}},"delete":{"tags":["hr","candidate"],"summary":"delete a logo from the profile","operationId":"deleteLogoFromProfile","description":"delete a logo from the profile","parameters":[{"in":"path","name":"id","description":"id of a profile","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/profiles/{id}/titleImage":{"post":{"tags":["hr"],"summary":"post a title image to the profile","operationId":"postTitleImageToProfile","description":"post a title image to the profile","parameters":[{"in":"path","name":"id","description":"id of a profile","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"url of a directory with images on S3.\n","content":{"application/json":{"schema":{"example":"{\n  \"path\":\"//.com/bucket/dir/dir2\"\n}\n"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"uploadFile":{"description":"formData with image file","type":"string","format":"binary"}}}}}}},"delete":{"tags":["hr"],"summary":"delete title image","operationId":"deleteTitleImageoFromProfile","description":"delete title image from the profile","parameters":[{"in":"path","name":"id","description":"id of a profile","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/profiles/categories":{"get":{"tags":["hr","candidate"],"summary":"get profiles' categories","operationId":"getProfileCategories","description":"get profiles' categories","parameters":[{"in":"query","name":"page","description":"page","required":false,"schema":{"type":"number"}},{"in":"query","name":"size","description":"size","required":false,"schema":{"type":"number"}},{"in":"query","name":"name","description":"part of a category name for search","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCategoryContent"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["hr","candidate"],"summary":"create profiles' categories","operationId":"createProfileCategories","description":"create profiles' categories","parameters":[{"in":"query","name":"name","description":"a category name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCategory"}}}},"400":{"description":"bad input parameter"}}},"put":{"tags":["hr","candidate"],"summary":"update profiles' categories","operationId":"updateProfileCategories","description":"update profiles' categories","parameters":[{"in":"query","name":"name","description":"a category name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCategory"}}}},"400":{"description":"bad input parameter"}}}},"/profiles/files":{"get":{"tags":["moderator"],"summary":"list profiles with files","operationId":"listProfilesWithFiles","description":"list profiles with files","parameters":[{"in":"query","name":"page","required":false,"schema":{"type":"number"}},{"in":"query","name":"size","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFilesContent"}}}},"400":{"description":"bad input parameter"}}}},"/profiles/{tag}/files":{"get":{"tags":["hr","moderator"],"summary":"list files of the profile","operationId":"listFilesOfProfile","description":"list files of the profile","parameters":[{"in":"path","name":"tag","required":true,"description":"profile tag","schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFiles"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["hr"],"summary":"post files to the profile","operationId":"postFilesToProfile","description":"post files to the profile","parameters":[{"in":"path","name":"tag","required":true,"description":"profile tag","schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFiles"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"$ref":"#/components/requestBodies/postFilesToResume"}},"put":{"tags":["hr"],"summary":"update files description","operationId":"updateFilesDescriptionOfProfile","description":"update files description","parameters":[{"in":"path","name":"tag","required":true,"description":"profile tag","schema":{"type":"string"}},{"in":"query","name":"description","required":true,"description":"description of files","schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFiles"}}}},"400":{"description":"bad input parameter"}}},"delete":{"tags":["hr","moderator"],"summary":"delete files from the profile","operationId":"deleteFilesFromProfile","description":"delete files from the profile","parameters":[{"in":"path","name":"tag","description":"tag of a profile","required":true,"schema":{"type":"string"}},{"in":"query","name":"files","description":"files names","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/profiles/{tag}/images":{"get":{"tags":["hr","moderator","candidate"],"summary":"list images of the profile","operationId":"listImagesOfProfile","description":"list images of the profile","parameters":[{"in":"path","name":"tag","required":true,"description":"profile tag","schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFiles"}}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["hr"],"summary":"post images to the profile","operationId":"postImagesToProfile","description":"post images to the profile","parameters":[{"in":"path","name":"tag","required":true,"description":"profile tag","schema":{"type":"string"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileFiles"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"images":{"description":"formData with list of images jpg, jpeg, png","type":"string","format":"binary"}},"required":["images"]}}}}},"delete":{"tags":["hr","moderator"],"summary":"delete images from the profile","operationId":"deleteImagesFromProfile","description":"delete images from the profile","parameters":[{"in":"path","name":"tag","description":"tag of a profile","required":true,"schema":{"type":"string"}},{"in":"query","name":"images","description":"files names","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/profiles/{id}/subscribe":{"put":{"tags":["hr","candidate"],"summary":"subscribe to profile","operationId":"subscribeToProfile","description":"DEPRECATED. subscribe to profile","parameters":[{"in":"path","name":"id","required":true,"description":"profile id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"object","properties":{"subsribed":{"type":"boolean"}}}}}},"400":{"description":"bad input parameter"}}}},"/profiles/{id}/unsubscribe":{"put":{"tags":["hr","candidate"],"summary":"unsubscribe to profile","operationId":"unsubscribeToProfile","description":"DEPRECATED. unsubscribe to profile","parameters":[{"in":"path","name":"id","required":true,"description":"profile id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"object","properties":{"unsubsribed":{"type":"boolean"}}}}}},"400":{"description":"bad input parameter"}}}},"/jobs":{"get":{"tags":["candidate","hr"],"summary":"list of user's jobs","operationId":"listUsersJobs","description":"List user's jobs","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Job"}}}}}}},"post":{"tags":["candidate","hr"],"summary":"create a user's job","operationId":"createUserJob","description":"create a user's job","responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobForPost"}}},"description":"Map with parameters"}},"put":{"tags":["hr","candidate"],"summary":"update the job","operationId":"updateJob","description":"update the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"updated job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobForPost"}}}}}},"/jobs/short":{"get":{"tags":["candidate","hr"],"summary":"list of user's jobs grouped by accounts","operationId":"listUsersJobsGroupedByAccount","description":"List user's jobs grouped by accounts","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobGroupedByAccount"}}}}}}}},"/jobs/{id}/enable":{"put":{"tags":["hr"],"summary":"enable the job","operationId":"enableJob","description":"enable the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"enabled job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/disable":{"put":{"tags":["hr"],"summary":"disable the job","operationId":"disableJob","description":"disable the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"disabled job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/like":{"put":{"tags":["candidate"],"summary":"like the job","operationId":"likeJob","description":"update the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"liked job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/unlike":{"put":{"tags":["candidate"],"summary":"unlike the job","operationId":"unlikeJob","description":"update the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"unliked job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/likes":{"get":{"tags":["hr","candidate"],"summary":"list of users who like the job","operationId":"listUsersWhoLikeJob","description":"list of users who like the job","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"updated job","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"account":{"$ref":"#/components/schemas/UserNickname"},"viewed":{"type":"string","example":"2001-10-31T01:30:00.000-05:00","description":"nullable"},"interview":{"type":"object","properties":{"interviewId":{"type":"number"},"chatId":{"type":"string"},"isAccepted":{"type":"boolean","description":"nullable"}}}}}}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/status":{"get":{"tags":["hr","candidate"],"summary":"job status","operationId":"getJobStatus","description":"job status","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"job current status","content":{"application/json":{"schema":{"type":"string","example":"PENDING"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/{id}/likes/{interestedAccount}/view":{"put":{"tags":["hr"],"summary":"mark a like as viewd","operationId":"markLikeAsViewed","description":"mark a like as viewd","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}},{"in":"path","name":"interestedAccount","description":"nickname of an account who is interested in the job","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","description":"id of current account","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"lisk of jobLikes","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobLike"}}}}},"400":{"description":"bad input parameter"}}}},"/jobs/likes":{"get":{"tags":["candidate","hr"],"summary":"list of user's jobs that he likes","operationId":"listLikedUsersJobs","description":"list of user's jobs that he likes","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobContent"}}}}}}},"/jobs/likes/short":{"get":{"tags":["candidate","hr"],"summary":"list of jobs' ids that user likes","operationId":"listLikedUsersJobsShort","description":"list of jobs' ids that user likes","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"number","example":434}}}}}}}},"/jobs/bookmarks":{"get":{"tags":["candidate"],"summary":"list of account's bookmarks","operationId":"listAccountsbookmarks","description":"List accountBookmarks","parameters":[{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobBookmarkListPage"}}}}}}},"/jobs/{id}/bookmarks":{"post":{"tags":["candidate"],"summary":"create a job bookmark","operationId":"createJobBookmark","description":"create a job bookmark","parameters":[{"in":"path","name":"id","required":true,"description":"job id","schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobBookmark"}}}}}},"delete":{"tags":["candidate"],"summary":"delete a bookmark","operationId":"deleetBookmark","description":"delete a bookmark","parameters":[{"in":"path","name":"id","required":true,"description":"job id","schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"204":{"description":"no content"},"400":{"description":"bad input parameter"}}}},"/jobs/search":{"get":{"tags":["any"],"summary":"search for jobs","operationId":"searchJobs","description":"search for jobs","parameters":[{"in":"query","name":"tags","description":"list with tags' names","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"locations","description":"list with placeIds from Google places API","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}},{"in":"query","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}},{"in":"query","name":"filter","description":"filters","required":false,"schema":{"type":"array","items":{"type":"string","enum":["remote"]}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobSearchContent"}}}}}}},"/jobs/{id}/short":{"get":{"tags":["any"],"summary":"job by id for embedded link","operationId":"getShortJobById","description":"job by id for embedded link","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"job like in search","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobForSearch"}}}},"400":{"description":"bad input parameter"}}}},"/jobs/suggestions":{"get":{"tags":["candidate"],"summary":"job suggestions for candidate","operationId":"jobSuggestions","description":"job suggestions for candidate. Returns by 4 jobs for each user's location","parameters":[{"in":"header","name":"accountId","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobSearchContent"}}}}}}},"/jobs/{id}/startPayment":{"put":{"tags":["hr"],"summary":"job to pending","operationId":"jobPending","description":"job to pending","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"pending job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"400":{"description":"bad input parameter"}}}},"/locations/autocomplete":{"get":{"tags":["any"],"summary":"google autocomplete middleware","operationId":"googleAutocomplete","parameters":[{"in":"query","name":"input","description":"input string for search","required":true,"schema":{"type":"string"}},{"in":"query","name":"types","description":"The types of place results to return. See Place Types below. If no type is specified, all types will be returned.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"radius","description":"The distance (in meters) within which to return place results. Note that setting a radius biases results to the indicated area, but may not fully restrict results to the specified area. See Location Biasing and Location Restrict below","required":false,"schema":{"type":"integer"}},{"in":"query","name":"lat","description":"latitude","required":false,"schema":{"type":"number"}},{"in":"query","name":"lng","description":"longitude","required":false,"schema":{"type":"number"}},{"in":"query","name":"countries","description":"list with countries' codes","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"example":"[\n  {\n    \"description\": \"Moscow, ID, USA\",\n    \"placeId\": \"ChIJ0WHAIi0hoFQRbK3q5g0V_T4\",\n    \"types\": [\n        \"locality\",\n        \"political\",\n        \"geocode\"\n    ],\n    \"terms\": [\n        {\n            \"offset\": 0,\n            \"value\": \"Moscow\"\n        },\n        {\n            \"offset\": 8,\n            \"value\": \"ID\"\n        },\n        {\n            \"offset\": 12,\n            \"value\": \"USA\"\n        }\n    ],\n    \"matchedSubstrings\": [\n        {\n            \"length\": 4,\n            \"offset\": 0\n        }\n    ],\n    \"structuredFormatting\": {\n        \"mainText\": \"Moscow\",\n        \"mainTextMatchedSubstrings\": [\n            {\n                \"length\": 4,\n                \"offset\": 0\n            }\n        ],\n        \"secondaryText\": \"ID, USA\"\n    }\n  },\n  {\n      \"description\": \"Mosca, CO, USA\",\n      \"placeId\": \"ChIJS7j1OgLUFYcRRPbCcPyMTfU\",\n      \"types\": [\n          \"locality\",\n          \"political\",\n          \"geocode\"\n      ],\n      \"terms\": [\n          {\n              \"offset\": 0,\n              \"value\": \"Mosca\"\n          },\n          {\n              \"offset\": 7,\n              \"value\": \"CO\"\n          },\n          {\n              \"offset\": 11,\n              \"value\": \"USA\"\n          }\n      ],\n      \"matchedSubstrings\": [\n          {\n              \"length\": 4,\n              \"offset\": 0\n          }\n      ],\n      \"structuredFormatting\": {\n          \"mainText\": \"Mosca\",\n          \"mainTextMatchedSubstrings\": [\n              {\n                  \"length\": 4,\n                  \"offset\": 0\n              }\n          ],\n          \"secondaryText\": \"CO, USA\"\n      }\n  },\n  {\n      \"description\": \"Moscow Mills, MO, USA\",\n      \"placeId\": \"ChIJA280k5i_3ocRe-IAInh_ilY\",\n      \"types\": [\n          \"locality\",\n          \"political\",\n          \"geocode\"\n      ],\n      \"terms\": [\n          {\n              \"offset\": 0,\n              \"value\": \"Moscow Mills\"\n          },\n          {\n              \"offset\": 14,\n              \"value\": \"MO\"\n          },\n          {\n              \"offset\": 18,\n              \"value\": \"USA\"\n          }\n      ],\n      \"matchedSubstrings\": [\n          {\n              \"length\": 4,\n              \"offset\": 0\n          }\n      ],\n      \"structuredFormatting\": {\n          \"mainText\": \"Moscow Mills\",\n          \"mainTextMatchedSubstrings\": [\n              {\n                  \"length\": 4,\n                  \"offset\": 0\n              }\n          ],\n          \"secondaryText\": \"MO, USA\"\n      }\n  },\n  {\n      \"description\": \"Moscow, PA, USA\",\n      \"placeId\": \"ChIJDaDKkrXCxIkR16VXi1WamHU\",\n      \"types\": [\n          \"locality\",\n          \"political\",\n          \"geocode\"\n      ],\n      \"terms\": [\n          {\n              \"offset\": 0,\n              \"value\": \"Moscow\"\n          },\n          {\n              \"offset\": 8,\n              \"value\": \"PA\"\n          },\n          {\n              \"offset\": 12,\n              \"value\": \"USA\"\n          }\n      ],\n      \"matchedSubstrings\": [\n          {\n              \"length\": 4,\n              \"offset\": 0\n          }\n      ],\n      \"structuredFormatting\": {\n          \"mainText\": \"Moscow\",\n          \"mainTextMatchedSubstrings\": [\n              {\n                  \"length\": 4,\n                  \"offset\": 0\n              }\n          ],\n          \"secondaryText\": \"PA, USA\"\n      }\n  },\n  {\n      \"description\": \"Moscow, TN, USA\",\n      \"placeId\": \"ChIJqTBezspSfogRRikRdHsBYOU\",\n      \"types\": [\n          \"locality\",\n          \"political\",\n          \"geocode\"\n      ],\n      \"terms\": [\n          {\n              \"offset\": 0,\n              \"value\": \"Moscow\"\n          },\n          {\n              \"offset\": 8,\n              \"value\": \"TN\"\n          },\n          {\n              \"offset\": 12,\n              \"value\": \"USA\"\n          }\n      ],\n      \"matchedSubstrings\": [\n          {\n              \"length\": 4,\n              \"offset\": 0\n          }\n      ],\n      \"structuredFormatting\": {\n          \"mainText\": \"Moscow\",\n          \"mainTextMatchedSubstrings\": [\n              {\n                  \"length\": 4,\n                  \"offset\": 0\n              }\n          ],\n          \"secondaryText\": \"TN, USA\"\n      }\n  }\n]\n"}}}}}}},"/payment/order":{"post":{"tags":["any"],"summary":"create payment order","operationId":"createPaymentOrder","description":"create payment order","responses":{"201":{"description":"response processed","content":{"application/json":{"schema":{"type":"object","properties":{"orderId":{"type":"string","description":"payu ip of the order","example":"NBFWZBC715190408GUEST000P01"},"status":{"type":"object","properties":{"statusCode":{"type":"string","example":"SUCCESS"},"statusDesc":{"type":"string","example":"Request successful"}}}}}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"type":"string","example":"Bad Request"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"jobId":{"type":"number","description":"job id"},"paymentToken":{"type":"string","description":"token from payu widget"}}}}},"description":"Map with parameters"}}},"/payment/response":{"post":{"tags":["any"],"summary":"payment response","operationId":"paymentResponse","description":"payment response","responses":{"209":{"description":"response processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobPayment"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResponseBody"}}},"description":"Map with parameters"}}},"/payment/isEnabled":{"get":{"tags":["any"],"summary":"check payment system","operationId":"paymentIsEnabled","description":"check payment system","responses":{"200":{"description":"response processed","content":{"application/json":{"schema":{"type":"boolean","example":true}}}}}}},"/payment/iap":{"post":{"tags":["any"],"summary":"confirm in-app purchasing","operationId":"inAppPurchasePost","description":"confirm in-app purchasing","responses":{"201":{"description":"response processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobPayment"}}}},"400":{"description":"invalid input, object invalid","content":{"application/json":{"schema":{"type":"string","example":"Bad Request"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IAPOrder"}}},"description":"Map with parameters"}}},"/posts":{"post":{"tags":["hr","candidate"],"summary":"create a post","operationId":"createPost","description":"create a post with image and text","parameters":[{"in":"header","name":"accountId","required":false,"description":"id of the account","schema":{"type":"number"}}],"responses":{"200":{"description":"url of a directory with images on S3.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"image":{"description":"formData with image file","type":"string","format":"binary"},"text":{"description":"text","type":"string"},"isAdvertising":{"type":"boolean","description":"required: false"}}}}}}},"get":{"tags":["hr","candidate","moderator"],"summary":"list posts","operationId":"listPosts","description":"list posts","parameters":[{"in":"query","name":"createdAt","description":"example - 2001-10-31T01:30:00.000-05:00","schema":{"type":"string","format":"timestamp"}},{"in":"query","name":"page","description":"number of page for get","required":false,"schema":{"type":"integer","default":0}},{"in":"query","name":"size","description":"size of the page","required":false,"schema":{"type":"integer","minimum":1,"default":20}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostContent"}}}},"400":{"description":"bad input parameter"}}}},"/posts/{id}/like":{"put":{"tags":["candidate","hr"],"summary":"like the post","operationId":"likePost","description":"like the post","parameters":[{"in":"path","name":"id","description":"id of a post","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"liked post","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post"}}}},"400":{"description":"bad input parameter"}}}},"/posts/{id}/unlike":{"put":{"tags":["candidate","hr"],"summary":"unlike the post","operationId":"unlikePost","description":"unlike the post","parameters":[{"in":"path","name":"id","description":"id of a post","required":true,"schema":{"type":"number"}},{"in":"header","name":"accountId","required":true,"description":"account id","schema":{"type":"number"}}],"responses":{"200":{"description":"unliked post","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post"}}}},"400":{"description":"bad input parameter"}}}},"/posts/{id}/likes":{"get":{"tags":["hr","candidate"],"summary":"list of users who liked the post","operationId":"listUsersWhoLikedPost","description":"list of users who liked the post","parameters":[{"in":"path","name":"id","description":"id of a job","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"updated job","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","example":"auth0|fgbfksdjhgvjsdg"}}}}},"400":{"description":"bad input parameter"}}}},"/posts/{id}":{"get":{"tags":["candidate","hr"],"summary":"get the post","operationId":"getPost","description":"get the post","parameters":[{"in":"path","name":"id","description":"id of a post","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"post","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post"}}}},"400":{"description":"bad input parameter"}}},"delete":{"tags":["candidate","hr"],"summary":"delete the post","operationId":"deletePost","description":"delete the post","parameters":[{"in":"path","name":"id","description":"id of a post","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"empty"},"400":{"description":"bad input parameter"}}},"put":{"tags":["hr","candidate"],"summary":"update the post text","operationId":"updatePostText","description":"update a post text","parameters":[{"in":"path","name":"id","required":true,"description":"id of the post","schema":{"type":"number"}},{"in":"query","name":"text","required":true,"description":"new text. Shouldn't be null o empty","schema":{"type":"string"}}],"responses":{"200":{"description":"post","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post"}}}},"400":{"description":"bad input parameter"}}}},"/posts/{id}/pin":{"put":{"tags":["candidate","hr"],"summary":"pin the post","operationId":"pinPost","description":"pin the post","parameters":[{"in":"path","name":"id","description":"id of a post","required":true,"schema":{"type":"number"}},{"
[...]
